org.eclnt.jsfserver.calendar

## Class IExtCalendarMgr.ExtCalendarInfo

- java.lang.Object
- - org.eclnt.jsfserver.calendar.IExtCalendarMgr.ExtCalendarInfo

- Enclosing interface:
    IExtCalendarMgr

      public static class IExtCalendarMgr.ExtCalendarInfo
      extends java.lang.Object

  Information about a day that is a non-working day.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtCalendarInfo(java.util.Date date)`
    `ExtCalendarInfo(java.util.Date date, java.lang.String comment)`
    `ExtCalendarInfo(java.util.Date date, java.lang.String comment, boolean selectable)`
    `ExtCalendarInfo(java.util.Date date, java.lang.String comment, boolean selectable, java.lang.String background)`
    `ExtCalendarInfo(java.util.Date date, java.lang.String comment, boolean selectable, java.lang.String background, boolean warningOnSelection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommentTranslation(java.lang.String language, java.lang.String comment)`
    `java.lang.String` | `getBackground()` By default "special days" receive a highlight color, that is defined within the calendar component's management.
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getComment(java.lang.String language)`
    `java.util.Date` | `getDate()`
    `boolean` | `getWarningOnSelection()` By default a warning method is opened up on client side when the user selects a date that holds a comment.
    `boolean` | `isSelectable()` By default each date is selectable - so "true" is returned.
    `void` | `setBackground(java.lang.String background)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setSelectable(boolean selectable)`
    `void` | `setWarningOnSelection(boolean warningOnSelection)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtCalendarInfo

          public ExtCalendarInfo(java.util.Date date)

    - #### ExtCalendarInfo

          public ExtCalendarInfo(java.util.Date date,
                                 java.lang.String comment)

    - #### ExtCalendarInfo

          public ExtCalendarInfo(java.util.Date date,
                                 java.lang.String comment,
                                 boolean selectable)

    - #### ExtCalendarInfo

          public ExtCalendarInfo(java.util.Date date,
                                 java.lang.String comment,
                                 boolean selectable,
                                 java.lang.String background)

    - #### ExtCalendarInfo

          public ExtCalendarInfo(java.util.Date date,
                                 java.lang.String comment,
                                 boolean selectable,
                                 java.lang.String background,
                                 boolean warningOnSelection)

  - ### Method Detail

    - #### getDate

          public java.util.Date getDate()

    - #### getComment

          public java.lang.String getComment()

    - #### getComment

          public java.lang.String getComment(java.lang.String language)

    - #### addCommentTranslation

          public void addCommentTranslation(java.lang.String language,
                                            java.lang.String comment)

    - #### isSelectable

          public boolean isSelectable()

      By default each date is selectable - so "true" is returned. You need to explicit pass "false" by usgin the constructor, in which you pass parameter "selectable".
      And...: there is an "overall" decision within the control, which is defined via attribute CALENDARFIELD-EXTCALENDARMODE. If this is defined in a way so that "special" days are not selectable, then the control decision overrides this method.

    - #### getWarningOnSelection

          public boolean getWarningOnSelection()

      By default a warning method is opened up on client side when the user selects a date that holds a comment. You may switch off this behavior by setting "warningOnSelection" to false.

    - #### getBackground

          public java.lang.String getBackground()

      By default "special days" receive a highlight color, that is defined within the calendar component's management. You can also explicitly assign a color.

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### setSelectable

          public void setSelectable(boolean selectable)

    - #### setBackground

          public void setBackground(java.lang.String background)

    - #### setWarningOnSelection

          public void setWarningOnSelection(boolean warningOnSelection)

Copyright © CaptainCasa Gmbh. All Rights Reserved.